| Version: 3.1.5

Public Member Functions | List of all members
wxPGInDialogValidator Class Reference

`#include </home/Hamis/wxwidgets-3.1/wxWidgets3.1-3.1.5-1.i686/src/wxWidgets-3.1.5/interface/wx/propgrid/props.h>`

## Detailed Description

Creates and manages a temporary wxTextCtrl for validation purposes.

Uses wxPropertyGrid's current editor, if available.

## Public Member Functions
| wxPGInDialogValidator ()
| ~wxPGInDialogValidator ()
bool | DoValidate (wxPropertyGrid *propGrid, wxValidator *validator, const wxString &value)

## Constructor & Destructor Documentation

## ◆ wxPGInDialogValidator()

wxPGInDialogValidator::wxPGInDialogValidator | ( |  | ) |

## ◆ ~wxPGInDialogValidator()

wxPGInDialogValidator::~wxPGInDialogValidator | ( |  | ) |

## Member Function Documentation

## ◆ DoValidate()

bool wxPGInDialogValidator::DoValidate | ( | wxPropertyGrid * | propGrid,
|  | wxValidator * | validator,
|  | const wxString & | value
| ) |  |